%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Url
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Url
Version:        2.2.6
Release:        2%{?dist}
Summary:        Horde Url class

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

Patch0:         https://github.com/maintaina-com/Url/commit/782df28ef07b5f99a1b60c599baa9cf7525f17fd.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-pcre
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
This class represents a single URL and provides methods for manipulating
URLs.

%prep
%setup -q -c

cd %{pear_name}-%{version}
# Don't check md5sum for patched files
sed -e '/Url.php/s/md5sum="[^"]*"//' \
   ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml

%patch0 -p1 -b.strlen

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.

%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit\
    -d date.timezone=UTC \
    .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Url
%{pear_phpdir}/Horde/Url.php
%{pear_testdir}/Horde_Url
%doc %{pear_docdir}/Horde_Url


%changelog
* Mon May 29 2023 josef radinger <cheese@nosuchhost.net> - 2.2.6-2
- fix strlen-deprecation
- remove md5sum for patched file

* Tue Aug 01 2017 josef radinger <cheese@nosuchhost.net> - 2.2.6-1
- bump version

* Sat Dec 03 2016 josef radinger <cheese@nosuchhost.net> - 2.2.5-2
- always run tests

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.2.5-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.2.4-1
- bump version

* Fri Jun 06 2014 josef radinger <cheese@nosuchhost.net> - 2.2.3-1
- bump version

* Sat Apr 12 2014 josef radinger <cheese@nosuchhost.net> - 2.2.2-1
- Update to 2.2.2

* Tue Aug 27 2013 Remi Collet <remi@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0
- fix License

* Tue Jan 29 2013 Remi Collet <RPMS@FamilleCollet.com> - 2.1.0-1
- Update to 2.1.0 for remi repo

* Mon Nov 19 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Mon Nov  5 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.0.0-2
- make test optionnal

* Thu Nov  1 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.0.0-1
- Update to 2.0.0 for remi repo

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.0.2-3
- rebuilt for new pear_testdir

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Remi Collet <RPMS@FamilleCollet.com> - 1.0.2-1
- Upgrade to 1.0.2, backport for remi repo

* Thu Jun 14 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.2-1
- Upgrade to 1.0.2

* Mon Feb 20 2012 Remi Collet <RPMS@FamilleCollet.com> - 1.0.0-1
- backport for remi repo

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.0-1
- Initial package
